$dangerColor : "crimson"; 

@mixin normalBorderWithRadius() {
  border: 1px solid #e5e5e5;
  border-radius: 25px;
}

// Layout
.leaderboard{
  @include normalBorderWithRadius();
  .person{
    border-radius: 15px;
    @include normalBorderWithRadius();
    .display{
      max-width: 35px;
      >img{
        border-radius: 25px;
      }
    }
    .name{
      font-size:0.75em;
    }
    .score{
      border-radius: 40px;
      padding:5px 8px;
      background-color: white;
      color:black;
      font-weight: bold;
      min-width: 34px;
      text-align: center;
    }
    &.rank-1,&.rank-2,&.rank-3{
      color:white;
    }
    &.rank-1{
      
      background-color: goldenrod;
    }
    &.rank-2{
      background-color: silver;
    }
    &.rank-3{
      background-color: brown;
    }
  }
}
.playing-section{
  @include normalBorderWithRadius();
}
.cardbox{
  &:hover{
    box-shadow: 0px 0px 10px 2px #38323278;
  }
  min-height: 150px;
  color:white;
  &.back,&.front{
    display:flex;
    justify-content: center;
    align-items: center;
  }
  &.back{
    background-color: black;
  }
  &.front{
    background-color: crimson;
  }
  .card-value{
    font-size:3rem;
  }
}

// Nav Style
.custom-nav {
    border-bottom: 1px $dangerColor solid;
    background: black;
  }
  
.navbar-nav {
  .nav-link {
    color: white !important;
    text-transform: uppercase;
    margin-left: 20px;
    &:hover {
    color: $dangerColor !important;
    }
  }
}

.login-info {
  font-size: 12px;
  border-style: solid;
  border-width: 1px;
  border-color: grey;
  border-radius: 8px;
  img {
    width: 35px;
    border-radius: 50%;
    margin-right: 10px;
  }
  .nav-link {
    padding: 5px 10px 5px 10px;
    margin-left: 0px;
  }
}

//Utils
.bold{
  font-weight: bold;
}
.underline
{
  text-decoration: underline;
}
.clickable{
  cursor: pointer;
}